> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supported tokens between a deposit chain and a destination chain

> Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /deposit-addresses/{depositChain}/{destinationChain}/supported-tokens
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /deposit-addresses/{depositChain}/{destinationChain}/supported-tokens:
    get:
      tags:
        - depositAddresses
      summary: Get supported tokens between a deposit chain and a destination chain
      description: >-
        Please use the identical endpoint under https://api.rhino.fi/sda. The
        sda endpoints here exist only for backwards compatibility and will be
        removed in the future. If you use the SDK, please upgrade to the latest
        version which uses the correct endpoint.
      operationId: depositAddresses.supportedTokens
      parameters:
        - name: depositChain
          in: path
          schema:
            type: string
            description: >-
              The blockchain network identifier where the deposit address is
              located.
            title: nonEmptyString
            minLength: 1
          required: true
          description: >-
            The blockchain network identifier where the deposit address is
            located.
        - name: destinationChain
          in: path
          schema:
            type: string
            description: >-
              The blockchain network identifier where bridged tokens will be
              sent.
            title: nonEmptyString
            minLength: 1
          required: true
          description: The blockchain network identifier where bridged tokens will be sent.
        - name: tokenOut
          in: query
          schema:
            type: string
            description: Optional token to receive after bridging (for token swaps).
          required: false
          description: Optional token to receive after bridging (for token swaps).
      responses:
        '200':
          description: SupportedTokensResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedTokensResponse'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpApiDecodeError'
        '422':
          description: DepositAddressChainsNotSupported
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DepositAddressChainsNotSupported'
                  - $ref: '#/components/schemas/DepositAddressNoBridgableTokens'
                  - $ref: '#/components/schemas/DepositAddressTokenOutNotSupported'
      deprecated: true
      security: []
components:
  schemas:
    SupportedTokensResponse:
      type: object
      required:
        - supportedTokens
      properties:
        supportedTokens:
          type: array
          items:
            type: object
            required:
              - symbol
              - address
              - maxDepositLimitUsd
              - minDepositLimitUsd
            properties:
              symbol:
                type: string
                description: Token symbol (e.g., "ETH", "USDC").
                title: nonEmptyString
                minLength: 1
              address:
                type: string
                description: Token contract address on the deposit chain.
                title: nonEmptyString
                minLength: 1
              maxDepositLimitUsd:
                type: number
                description: Maximum deposit amount in USD for this token.
                title: nonNegative
                minimum: 0
              minDepositLimitUsd:
                type: number
                description: Minimum deposit amount in USD for this token.
                title: nonNegative
                minimum: 0
            additionalProperties: false
          description: List of tokens that can be deposited to this address.
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    DepositAddressChainsNotSupported:
      type: object
      required:
        - chains
        - _tag
      properties:
        chains:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressChainsNotSupported
      additionalProperties: false
    DepositAddressNoBridgableTokens:
      type: object
      required:
        - from
        - to
        - _tag
      properties:
        from:
          $ref: '#/components/schemas/NonEmptyString'
        to:
          $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressNoBridgableTokens
      additionalProperties: false
    DepositAddressTokenOutNotSupported:
      type: object
      required:
        - tokenOut
        - _tag
      properties:
        tokenOut:
          type: string
        _tag:
          type: string
          enum:
            - DepositAddressTokenOutNotSupported
      additionalProperties: false
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    NonEmptyString:
      type: string
      description: a non empty string
      title: nonEmptyString
      minLength: 1
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol

````